GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
threads_listing_context Struct Reference

## Public Member Functions
bool | contains_thread (ptid_t ptid) const
void | remove_thread (ptid_t ptid)

## Public Attributes
std::vector< thread_item > | items

## Detailed Description

Definition at line 2983 of file remote.c.

## Member Function Documentation

## ◆ contains_thread()

bool threads_listing_context::contains_thread | ( | ptid_t | ptid | ) | const
| inline

Definition at line 2988 of file remote.c.

References items.

Referenced by remote_update_thread_list().

## ◆ remove_thread()

void threads_listing_context::remove_thread | ( | ptid_t | ptid | ) |
| inline

Definition at line 3004 of file remote.c.

References items.

Referenced by remove_child_of_pending_fork(), and remove_new_fork_children().

## Member Data Documentation

## ◆ items

std::vector<thread_item> threads_listing_context::items

Definition at line 3020 of file remote.c.

Referenced by contains_thread(), end_thread(), remote_get_threads_with_qthreadinfo(), remote_newthread_step(), remote_update_thread_list(), remove_thread(), and start_thread().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/remote.c